Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionJoin/FrmConstructionJoin.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionJoin/FrmConstructionJoin.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionJoin/FrmConstructionJoin.cs	(revision 51)
@@ -0,0 +1,373 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+
+using ProcessManagement.Common;
+using ProcessManagement.DB.IOAccess;
+using ProcessManagement.DataModel;
+using ProcessManagement.Forms.CustomControls;
+using ProcessManagement.Forms.ControlsAction;
+
+namespace ProcessManagement.Forms.DataEntry
+{
+    public partial class FrmConstructionJoin : Form
+    {
+        #region ログ使用定義
+        //log4netログを使用する
+        private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+
+        /// <summary>
+        /// 動作選択
+        /// </summary>
+        private enum ProcessAction
+        {
+            /// <summary>
+            /// 結合新規作成
+            /// </summary>
+            NewCreate = 1,
+            /// <summary>
+            /// 追加結合
+            /// </summary>
+            LinkAdd,
+        }
+
+        /// <summary>
+        /// 表示カラム
+        /// </summary>
+        private enum DispGridColumn
+        {
+            DisplayNo = 0,
+            ConstructionCode,
+            ConstructionName,
+            DispStatus,
+            OrdererName,
+            JoinCheck,
+            OrderersDivision,
+            OrderersCode,
+            Status,
+        }
+        #endregion
+
+        #region 変数
+        /// <summary>
+        /// 初期時フラグ
+        /// </summary>
+        private bool m_bInitFlag = true;
+
+        /// <summary>
+        /// 処理区分
+        /// </summary>
+        private int m_ProcessType = 0;
+
+        /// <summary>
+        /// 工事番号
+        /// </summary>
+        private int m_ConstructionCode = 0;
+
+        /// <summary>
+        /// 発注者区分
+        /// </summary>
+        private int m_OrderersDivision = 0;
+        /// <summary>
+        /// 発注者番号
+        /// </summary>
+        private int m_OrdererCode = 0;
+
+        /// <summary>
+        /// 工事名称
+        /// </summary>
+        private string m_ConstructionName = string.Empty;
+
+        #endregion
+
+        #region プロパティ
+
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// フォーム初期化
+        /// </summary>
+        public FrmConstructionJoin()
+        {
+            InitializeComponent();
+        }
+        #endregion
+
+        #region フォームロード
+        /// <summary>
+        /// フォームロード
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmConstructionJoin_Load(object sender, EventArgs e)
+        {
+            // コンボボックスセット
+            SetnumUD();
+            SetcmbDepartment();
+            SetcmbPersons();
+
+            // コンボボックス初期化
+            InitCombBox();
+
+            // 初期表示
+            InitDataLoad();
+
+            m_bInitFlag = false;
+        }
+        #endregion
+
+        #region フォーム終了時
+        /// <summary>
+        /// フォーム終了時
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void FrmConstructionJoin_FormClosing(object sender, FormClosingEventArgs e)
+        {
+            // 前プロセスに戻る
+            ClsExcute.BackProcess();
+        }
+        #endregion
+
+        #region 終了ボタン押下
+        /// <summary>
+        /// 終了ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnCancel_Click(object sender, EventArgs e)
+        {
+            this.Close();
+        }
+        #endregion
+
+        #region 実行ボタン押下
+        /// <summary>
+        /// 実行ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnEntry_Click(object sender, EventArgs e)
+        {
+            // 実行確認
+            if (MessageBox.Show("選択された工事を結合します。",
+                                "実行確認",
+                                MessageBoxButtons.OKCancel,
+                                MessageBoxIcon.Question) == DialogResult.Cancel) return;
+
+            // データチェック
+            if (!DataCheck()) return;
+
+            // 結合処理
+            if (!JoinData()) return;
+
+            CommonMotions.EntryEndMessage("結合処理データ");
+
+            this.Close();
+        }
+        #endregion
+
+        #region クリアボタン押下
+        /// <summary>
+        /// クリアボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnClear_Click(object sender, EventArgs e)
+        {
+            try
+            {
+                m_ConstructionCode = 0;
+                m_ConstructionName = string.Empty;
+                m_OrderersDivision = 0;
+                m_OrdererCode = 0;
+
+                tvDispData.Nodes.Clear();
+
+                // 選択一覧フォーカスセット
+                tvDispData.Select();
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 工事検索ボタン押下処理
+        /// <summary>
+        /// 工事検索ボタン押下処理
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnSerchWork_Click(object sender, EventArgs e)
+        {
+            // 結合工事名称選択
+            SetConstruction(true);
+
+            // 選択一覧フォーカスセット
+            tvDispData.Select();
+        }
+        #endregion
+
+        #region 新規結合作成
+        /// <summary>
+        /// 新規結合作成
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnNewWork_Click(object sender, EventArgs e)
+        {
+            // 新規結合工事作成
+            NewOrdererCreate();
+
+            // 選択一覧フォーカスセット
+            tvDispData.Select();
+        }
+        #endregion
+
+        #region チェックボックスの変化時
+        /// <summary>
+        /// チェックボックスの変化時
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgvMaster_CellValueChanged(object sender, DataGridViewCellEventArgs e)
+        {
+            if (m_bInitFlag) return;
+            try
+            {
+                DataGridView dgv = dgvMaster;
+                DataGridViewRow CurRow = dgv.CurrentRow;
+
+                // チェック以外は処理しない
+                if (e.ColumnIndex != (int)DispGridColumn.JoinCheck) return;
+
+                // 無効行は処理しない
+                string strWork = CommonMotions.cnvString(CurRow.Cells[(int)DispGridColumn.ConstructionCode].Value);
+                if (strWork == string.Empty) return;
+
+                // チェックボックス
+                DataGridViewCell CurCell = dgv[e.ColumnIndex, e.RowIndex];
+                // Off時は処理しない
+                //if (CommonMotions.cnvString(CurCell.Value).Equals("False")) return;
+                if (!(bool)CurCell.Value) return;
+
+                if (tvDispData.Nodes.Count == 0)
+                {
+                    m_OrderersDivision = CommonMotions.cnvInt(CurRow.Cells[(int)DispGridColumn.OrderersDivision].Value);
+                    m_OrdererCode = CommonMotions.cnvInt(CurRow.Cells[(int)DispGridColumn.OrderersCode].Value);
+                }
+                // エラーチェック
+                if (!GridRowCheck(m_OrderersDivision, m_OrdererCode))
+                {
+                    MessageBox.Show("発注先が違います。", "選択エラー", MessageBoxButtons.OK);
+                    CurCell.Value = false;
+                    dgv.RefreshEdit();
+                }
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region セル状態変化時
+        /// <summary>
+        /// セル状態変化時
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void dgvMaster_CurrentCellDirtyStateChanged(object sender, EventArgs e)
+        {
+            switch (dgvMaster.CurrentCellAddress.X)
+            {
+                case (int)DispGridColumn.JoinCheck:
+                    // チェックボックス
+                    if (dgvMaster.IsCurrentCellDirty)
+                    {
+                        //コミットする
+                        dgvMaster.CommitEdit(DataGridViewDataErrorContexts.Commit);
+                    }
+                    break;
+            }
+        }
+        #endregion
+
+        #region 営業期コンボボックス変更
+        /// <summary>
+        /// 営業期変更
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void numUDConstPro_ValueChanged(object sender, EventArgs e)
+        {
+            if (m_bInitFlag) return;
+            // データ表示
+            InitDataLoad();
+        }
+        #endregion
+
+        #region 部署コンボボックス変更
+        /// <summary>
+        /// 部署コンボボックス変更
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void cmbDepartment_TextChanged(object sender, EventArgs e)
+        {
+            if (m_bInitFlag) return;
+
+            // 担当者コンボボックス変更
+            SetcmbPersons();
+
+            // データ表示
+            InitDataLoad();
+        }
+        #endregion
+
+        #region 担当者コンボボックス変更
+        /// <summary>
+        /// 担当者変更
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void cmbConstructionPerson_TextChanged(object sender, EventArgs e)
+        {
+            if (m_bInitFlag) return;
+
+            // 担当者選択時部署選択を設定する
+            SetPerosonToDepartment();
+
+            // データ表示
+            InitDataLoad();
+        }
+        #endregion
+
+        #region 営業・工事担当者切り替え
+        /// <summary>
+        /// 営業・工事担当者切り替え
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void radioButton_CheckedChanged(object sender, EventArgs e)
+        {
+            if (m_bInitFlag) return;
+
+            // データ表示
+            InitDataLoad();
+        }
+        #endregion
+    
+    }
+}
